Name:           frotz
Version:        2.43
Release:        10%{?dist}
Summary:        Interpreter for Infocom and other Z-machine games

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.cs.csubak.edu/~dgriffi/proj/frotz/
Source0:        http://www.cs.csubak.edu/~dgriffi/proj/frotz/files/frotz-2.43.tar.gz
Patch1:         frotz-2.43-Makefile.patch
Patch2:         frotz-2.43-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel

%description
Frotz is an interpreter for Infocom games and other Z-machine games.  It
complies with standard 1.0 of Graham Nelson's specification.

Free Z-machine game file downloads, as well as more information about
Infocom, Z-machine games, and interactive fiction can be found at the
Interactive Fiction Archive, http://mirror.ifarchive.org/.


%prep
%setup -q
%patch1 -p1
%patch2 -p1


%build
sed -i -e "s/@@OPTS@@/$RPM_OPT_FLAGS/" Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -d -m0755 $RPM_BUILD_ROOT/%{_mandir}/man6
install -m0755 frotz $RPM_BUILD_ROOT/%{_bindir}
install -m0644 doc/frotz.6 $RPM_BUILD_ROOT/%{_mandir}/man6
install -m0644 doc/frotz.conf-big $RPM_BUILD_ROOT/%{_sysconfdir}/frotz.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING DUMB HOW_TO_PLAY README SPEECH TODO
%doc doc/frotz.conf*
%{_bindir}/frotz
%{_mandir}/man6/frotz.6*
%config(noreplace) %{_sysconfdir}/frotz.conf


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.43-7
- Autorebuild for GCC 4.3

* Wed Oct 31 2007 Chris Grau <chris@chrisgrau.com> 2.43-6
- Fixed license tag.

* Thu Sep 14 2006 Chris Grau <chris@chrisgrau.com> 2.43-5
- Rebuild for FC-6.

* Wed Mar 01 2006 Chris Grau <chris@chrisgrau.com> 2.43-4
- Rebuild for FC-5.

* Tue Jul 19 2005 Chris Grau <chris@chrisgrau.com> 2.43-3
- Changed sed command to edit Makefile in place (Michael Schwendt).
- Removed compression of the man page (Michael Schwendt).

* Tue Jul 19 2005 Chris Grau <chris@chrisgrau.com> 2.43-2
- Split up patch files.
- Added a pointer to the IF archive to the %%description.

* Thu Jul 07 2005 Chris Grau <chris@chrisgrau.com> 2.43-1
- Initial build.
